Arch: MergeWalls

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch MergeWalls and the translation is 46% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch CloseHoles.svg Close Holes Anteriorul:
Urmeaza: Check Arch Check.svg Arrow-right.svg

Arch MergeWalls.svg Arch MergeWalls

poziția meniului
Arch → Utilities → Merge Walls
Workbenches
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Wall/ro


Descriere

The MergeWalls tool fuses two or more selected Arch Wall.svg Arch Walls.

Cum se folosește

  1. Select two or more walls.
  2. Press the Arch MergeWalls.svg button, or use the ArchUtilitiesArch MergeWalls.svg Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])
Arrow-left.svg Arch CloseHoles.svg Close Holes Anteriorul:
Urmeaza: Check Arch Check.svg Arrow-right.svg